Loading...
Searching...
No Matches
path_manager.h File Reference

mptcpd user space path manager header file (internal). More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

struct mptcpd_pm * | mptcpd_pm_create (struct mptcpd_config const *config)
| Create a path manager.
void | mptcpd_pm_destroy (struct mptcpd_pm *pm)

## Detailed Description

mptcpd user space path manager header file (internal).

Copyright (c) 2017-2019, Intel Corporation

## Function Documentation

## mptcpd_pm_create()

struct mptcpd_pm * mptcpd_pm_create | ( | struct mptcpd_config const * | config | ) |

Create a path manager.

Parameters

  [in] | config | Mptcpd configuration.

Todo:
  As currently implemented, one could create multiple path manager instances? Is that useful?

Returns
  Pointer to new path manager on success. `NULL` on failure.

## mptcpd_pm_destroy()

void mptcpd_pm_destroy | ( | struct mptcpd_pm * | pm | ) |

Destroy a path manager.

Parameters

  [in,out] | pm | Path manager to be destroyed.

Bug:
  Mptcpd plugins should only be unloaded once at process exit, or at least after the last `mptcpd_pm` object has been destroyed.